Please deploy loop-client 0.22.0 to PRODUCTION

VERIFIED FIXED

Status

Cloud Services
Operations: Deployment Requests
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Cloud Services QA, Assigned: bobm)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
------------------
RELEASE NOTES
------------------
https://github.com/mozilla/loop-client/releases

COMPARISONS
https://github.com/mozilla/loop-client/compare/0.20.1...0.20.2
https://github.com/mozilla/loop-client/compare/0.20.2...0.21.0
https://github.com/mozilla/loop-client/compare/0.21.0...0.22.0

TAGS
https://github.com/mozilla/loop-client/releases/tag/0.22.0
https://github.com/mozilla/loop-client/commit/d5fe2b18fba43b00a10eb8af6cf0792868242086

CHANGELOG
0.22.0 (2015-11-10)
-------------------
- Bug 1212338 - Move the user's "availability" option to the settings menu as a "turn notifications on/off" in the Loop panel.
- Bug 1212340 - Move the Leave feedback option from the conversation window settings menu to the panel settings menu.
- Bug 1050295 - The extraction script should update the changelog automatically.
- Bug 1213810 - Remove obsolete actions previously associated with direct calls.
- Bug 1213855 - Remove direct call functionality from Loop's backend.
- Bug 1210774 - Upgrade Loop's use of eslint (to 1.6.x) and eslint-plugin-react (to 3.5.x).
- Bug 1212079 - Removed contact scripts from index.
- Bug 1215455 - eslint no-multi-spaces
- Bug 1215455 - eslint object-curly-spacing
- Bug 1215455 - eslint space-after-keywords
- Bug 1215455 - eslint space-before-blocks
- Bug 1215455 - eslint space-before-function-paren
- Bug 1215455 - eslint space-in-parens
- Bug 1215455 - eslint react/jsx-curly-spacing
- Bug 1215455 - eslint consistent-return
- Bug 1213336 - Update Hello standalone npm version.
- Bug 1216551 - Fix an issue with Loop's unit tests failing when no devices are installed, due to bad stubbing.
- Bug 1214582 - Adjust how room titles are displayed/managed in Loop's UI.
- Bug 1212357 - Update the layout of the rooms list items for user journey.
- Bug 1215322 - remove need for CSP unsafe-eval in Hello.
- Bug 1214590 - Remove Loop default Room name.
- Bug 1213906 - Change email invitation to fit new user journey.
- Bug 1215487 - Fix Mozilla logo in Chrome for Loop Standalone
- Bug 1220878 - switch Hello from React.addons.classSet to classnames package.
- Bug 1147167 - Upgrade React in Hello to 0.13.3.
- Bug 1210865 - Update OpenTok library to version 2.6.8.
- Bug 1210865 - Change how Loop's data channels are setup to cope with the newer SDK that doesn't allow setting them up until subscription is complete.
- Bug 1223351 - Store a metrics event on the loop server if the data channel setup fails.
We'll be deploying this release Mon., 11/16 @11am PST
Assignee: nobody → bobm
QA Contact: rpappalardo
currently on production (pre-deployment)


----------------------------
URL CHECKS (PROD)
----------------------------

$ curl -i -k https://hello.firefox.com
HTTP/1.1 301 Moved Permanently
Content-Security-Policy-Report-Only: frame-ancestors 'self'; default-src 'self'; img-src 'self' data: https://www.gravatar.com/ https://www.google-analytics.com https://stats.g.doubleclick.net; font-src 'none'; frame-src 'self' https://tiles.cdn.mozilla.net; connect-src wss://*.tokbox.com https://*.opentok.com https://*.tokbox.com wss://*.mozilla.com https://*.mozilla.org wss://*.mozaws.net https://*.mozaws.net; media-src 'self' blob:; script-src 'self' 'unsafe-inline' 'unsafe-eval' https://cdn.optimizely.com https://www.google-analytics.com; style-src 'self' about: 'unsafe-inline'; report-uri /__cspreporting__/
Content-Type: text/html
Date: Mon, 16 Nov 2015 20:54:40 GMT
Location: https://www.mozilla.org/firefox/hello/
X-Frame-Options: SAMEORIGIN
Content-Length: 191
Connection: keep-alive

<html>
<head><title>301 Moved Permanently</title></head>
<body bgcolor="white">
<center><h1>301 Moved Permanently</h1></center>
<hr><center>openresty/1.7.10.2</center>
</body>
</html>





https://hello.firefox.com:
Request was redirected!
status code: 200 --> destination: https://www.mozilla.org/en-US/firefox/hello/

Response time: 0.007975


https://hello.firefox.com/config.js:
var loop = loop || {};

loop.config = {
  serverUrl: 'https://loop.services.mozilla.com/v0',
  feedbackApiUrl: 'https://input.mozilla.org/api/v1/feedback',
  feedbackProductName: 'Loop',
  downloadFirefoxUrl: 'https://www.mozilla.org/firefox/new/?scene=2&utm_source=hello.firefox.com&utm_medium=referral&utm_campaign=non-webrtc-browser\#download-fx',
  privacyWebsiteUrl: 'https://www.mozilla.org/privacy/firefox-hello/',
  legalWebsiteUrl: 'https://www.mozilla.org/about/legal/terms/firefox-hello/',
  marketplaceUrl: 'https://marketplace.firefox.com/iframe-install.html',
  learnMoreUrl: 'https://www.mozilla.org/hello/',
  roomsSupportUrl: 'https://support.mozilla.org/kb/group-conversations-firefox-hello-webrtc',
  guestSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  generalSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  unsupportedPlatformUrl: 'https://support.mozilla.org/kb/which-browsers-will-work-firefox-hello-video-chat',
  tilesIframeUrl: 'https://tiles.cdn.mozilla.net/iframe.html',
  tilesSupportUrl: 'https://support.mozilla.org/kb/tiles-firefox-hello',
  fxosApp: {
    name: 'Firefox Hello',
    manifestUrl: 'https://marketplace.firefox.com/app/54b83aea-1208-4605-82eb-22819f39d81d/manifest.webapp',
    rooms: false
  }
};

Response time: 0.125604


https://loop.services.mozilla.com:
{
    "endpoint": "https://loop.services.mozilla.com", 
    "name": "mozilla-loop-server", 
    "fakeTokBox": false, 
    "fxaOAuth": true, 
    "version": "0.18.1", 
    "i18n": {
        "defaultLang": "en-US"
    }, 
    "homepage": "https://github.com/mozilla-services/loop-server/", 
    "description": "The Mozilla Loop (WebRTC App) server"
}
Response time: 0.132627


https://loop.services.mozilla.com/push-server-config:
{
    "pushServerURI": "wss://push.services.mozilla.com"
}
Response time: 0.124703
Status: NEW → ASSIGNED
incoming stack... (pre-deployment)

----------------------------
SUMMARY (PRE-PROD)
----------------------------

Placed several calls successfully between Developer Edition (45.0a1) and General Release (42.0) using new loop-client tag ELB. 

E2E-TESTS

end-2-end test calls (shared URL) - OK
Video/audio mute/unmute - OK
messaging - OK 
Tab & window-sharing - OK
privacy & ToS links - OK
Feedback screens - OK

Ready for DNS switch

----------------------------
URL CHECKS (PRE-PROD)
----------------------------

$ curl -i -k https://hello.firefox.com
HTTP/1.1 301 Moved Permanently
Content-Security-Policy-Report-Only: frame-ancestors 'self'; default-src 'self'; img-src 'self' data: https://www.gravatar.com/ https://www.google-analytics.com https://stats.g.doubleclick.net; font-src 'none'; frame-src 'self' https://tiles.cdn.mozilla.net; connect-src 'self' wss://*.tokbox.com https://*.opentok.com https://*.tokbox.com wss://*.mozilla.com https://*.mozila.com https://*.mozilla.org wss://*.mozaws.net https://*.mozaws.net; media-src 'self' blob:; script-src 'self' 'unsafe-inline' 'unsafe-eval' https://cdn.optimizely.com https://www.google-analytics.com; style-src 'self' about: 'unsafe-inline'; report-uri /__cspreporting__/
Content-Type: text/html
Date: Mon, 16 Nov 2015 20:48:13 GMT
Location: https://www.mozilla.org/firefox/hello/
X-Frame-Options: SAMEORIGIN
Content-Length: 191
Connection: keep-alive

<html>
<head><title>301 Moved Permanently</title></head>
<body bgcolor="white">
<center><h1>301 Moved Permanently</h1></center>
<hr><center>openresty/1.7.10.2</center>
</body>
</html>





https://hello.firefox.com:
Request was redirected!
status code: 200 --> destination: https://www.mozilla.org/en-US/firefox/hello/

Response time: 0.01106


https://hello.firefox.com/config.js:
var loop = loop || {};

loop.config = {
  serverUrl: 'https://loop.services.mozilla.com/v0',
  feedbackApiUrl: 'https://input.mozilla.org/api/v1/feedback',
  feedbackProductName: 'Loop',
  downloadFirefoxUrl: 'https://www.mozilla.org/firefox/new/?scene=2&utm_source=hello.firefox.com&utm_medium=referral&utm_campaign=non-webrtc-browser\#download-fx',
  privacyWebsiteUrl: 'https://www.mozilla.org/privacy/firefox-hello/',
  legalWebsiteUrl: 'https://www.mozilla.org/about/legal/terms/firefox-hello/',
  marketplaceUrl: 'https://marketplace.firefox.com/iframe-install.html',
  learnMoreUrl: 'https://www.mozilla.org/hello/',
  roomsSupportUrl: 'https://support.mozilla.org/kb/group-conversations-firefox-hello-webrtc',
  guestSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  generalSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  unsupportedPlatformUrl: 'https://support.mozilla.org/kb/which-browsers-will-work-firefox-hello-video-chat',
  tilesIframeUrl: 'https://tiles.cdn.mozilla.net/iframe.html',
  tilesSupportUrl: 'https://support.mozilla.org/kb/tiles-firefox-hello',
  fxosApp: {
    name: 'Firefox Hello',
    manifestUrl: 'https://marketplace.firefox.com/app/54b83aea-1208-4605-82eb-22819f39d81d/manifest.webapp',
    rooms: false
  }
};

Response time: 0.120123


https://loop.services.mozilla.com:
{
    "endpoint": "https://loop.services.mozilla.com", 
    "name": "mozilla-loop-server", 
    "fakeTokBox": false, 
    "fxaOAuth": true, 
    "version": "0.18.1", 
    "i18n": {
        "defaultLang": "en-US"
    }, 
    "homepage": "https://github.com/mozilla-services/loop-server/", 
    "description": "The Mozilla Loop (WebRTC App) server"
}
Response time: 0.155322


https://loop.services.mozilla.com/push-server-config:
{
    "pushServerURI": "wss://push.services.mozilla.com"
}
Response time: 0.124163
Flags: needinfo?(bobm)
DNS was switched, but re-deploying to fix CSP
:17 PM <Standard8> blocked-uri\x22:\x22https://loop.services.mozilla.com
1:48:36 PM <Standard8> violated-directive\x22:\x22connect-src …  https://*.mozila.com
incoming stack #2... (pre-deployment re-spin)

----------------------------
SUMMARY (PRE-PROD RE-SPIN)
----------------------------

Placed several calls successfully between Developer Edition (45.0a1) and General Release (42.0) using new loop-client tag ELB. 

E2E-TESTS

end-2-end test calls (shared URL) - OK
Video/audio mute/unmute - OK
messaging - OK 
Tab & window-sharing - OK
privacy & ToS links - OK
Feedback screens - OK
Push notifications - OK

Ready for DNS switch

----------------------------
URL CHECKS (PRE-PROD RE-SPIN)
----------------------------


$ curl -i -k https://hello.firefox.com
HTTP/1.1 301 Moved Permanently
Content-Security-Policy-Report-Only: frame-ancestors 'self'; default-src 'self'; img-src 'self' data: https://www.gravatar.com/ https://www.google-analytics.com https://stats.g.doubleclick.net; font-src 'none'; frame-src 'self' https://tiles.cdn.mozilla.net; connect-src 'self' wss://*.tokbox.com https://*.opentok.com https://*.tokbox.com wss://*.mozilla.com https://*.mozilla.com https://*.mozilla.org wss://*.mozaws.net https://*.mozaws.net; media-src 'self' blob:; script-src 'self' 'unsafe-inline' 'unsafe-eval' https://cdn.optimizely.com https://www.google-analytics.com; style-src 'self' about: 'unsafe-inline'; report-uri /__cspreporting__/
Content-Type: text/html
Date: Mon, 16 Nov 2015 22:39:17 GMT
Location: https://www.mozilla.org/firefox/hello/
X-Frame-Options: SAMEORIGIN
Content-Length: 191
Connection: keep-alive

<html>
<head><title>301 Moved Permanently</title></head>
<body bgcolor="white">
<center><h1>301 Moved Permanently</h1></center>
<hr><center>openresty/1.7.10.2</center>
</body>
</html>



https://hello.firefox.com:
Request was redirected!
status code: 200 --> destination: https://www.mozilla.org/en-US/firefox/hello/

Response time: 0.008715


https://hello.firefox.com/config.js:
var loop = loop || {};

loop.config = {
  serverUrl: 'https://loop.services.mozilla.com/v0',
  feedbackApiUrl: 'https://input.mozilla.org/api/v1/feedback',
  feedbackProductName: 'Loop',
  downloadFirefoxUrl: 'https://www.mozilla.org/firefox/new/?scene=2&utm_source=hello.firefox.com&utm_medium=referral&utm_campaign=non-webrtc-browser\#download-fx',
  privacyWebsiteUrl: 'https://www.mozilla.org/privacy/firefox-hello/',
  legalWebsiteUrl: 'https://www.mozilla.org/about/legal/terms/firefox-hello/',
  marketplaceUrl: 'https://marketplace.firefox.com/iframe-install.html',
  learnMoreUrl: 'https://www.mozilla.org/hello/',
  roomsSupportUrl: 'https://support.mozilla.org/kb/group-conversations-firefox-hello-webrtc',
  guestSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  generalSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  unsupportedPlatformUrl: 'https://support.mozilla.org/kb/which-browsers-will-work-firefox-hello-video-chat',
  tilesIframeUrl: 'https://tiles.cdn.mozilla.net/iframe.html',
  tilesSupportUrl: 'https://support.mozilla.org/kb/tiles-firefox-hello',
  fxosApp: {
    name: 'Firefox Hello',
    manifestUrl: 'https://marketplace.firefox.com/app/54b83aea-1208-4605-82eb-22819f39d81d/manifest.webapp',
    rooms: false
  }
};

Response time: 0.116969


https://loop.services.mozilla.com:
{
    "endpoint": "https://loop.services.mozilla.com", 
    "name": "mozilla-loop-server", 
    "fakeTokBox": false, 
    "fxaOAuth": true, 
    "version": "0.18.1", 
    "i18n": {
        "defaultLang": "en-US"
    }, 
    "homepage": "https://github.com/mozilla-services/loop-server/", 
    "description": "The Mozilla Loop (WebRTC App) server"
}
Response time: 0.130425


https://loop.services.mozilla.com/push-server-config:
{
    "pushServerURI": "wss://push.services.mozilla.com"
}
Response time: 0.11967
:bobm has switched DNS and release deployed

----------------------------
SUMMARY (PROD)
----------------------------

Placed several calls successfully between Nightly (45.0a1) and General Release (42.0) using new loop-client tag ELB. 

E2E-TESTS

end-2-end test calls (shared URL) - OK
Video/audio mute/unmute - OK
messaging - OK 
Tab & window-sharing - OK
privacy & ToS links - OK
Feedback screens - OK
Push notifications - OK

Verifying this release


----------------------------
URL CHECKS (PROD)
----------------------------


$ curl -i -k https://hello.firefox.com
HTTP/1.1 301 Moved Permanently
Content-Security-Policy-Report-Only: frame-ancestors 'self'; default-src 'self'; img-src 'self' data: https://www.gravatar.com/ https://www.google-analytics.com https://stats.g.doubleclick.net; font-src 'none'; frame-src 'self' https://tiles.cdn.mozilla.net; connect-src 'self' wss://*.tokbox.com https://*.opentok.com https://*.tokbox.com wss://*.mozilla.com https://*.mozilla.com https://*.mozilla.org wss://*.mozaws.net https://*.mozaws.net; media-src 'self' blob:; script-src 'self' 'unsafe-inline' 'unsafe-eval' https://cdn.optimizely.com https://www.google-analytics.com; style-src 'self' about: 'unsafe-inline'; report-uri /__cspreporting__/
Content-Type: text/html
Date: Tue, 17 Nov 2015 00:21:46 GMT
Location: https://www.mozilla.org/firefox/hello/
X-Frame-Options: SAMEORIGIN
Content-Length: 191
Connection: keep-alive

<html>
<head><title>301 Moved Permanently</title></head>
<body bgcolor="white">
<center><h1>301 Moved Permanently</h1></center>
<hr><center>openresty/1.7.10.2</center>
</body>
</html>




https://hello.firefox.com:
Request was redirected!
status code: 200 --> destination: https://www.mozilla.org/en-US/firefox/hello/

Response time: 0.128803


https://hello.firefox.com/config.js:
var loop = loop || {};

loop.config = {
  serverUrl: 'https://loop.services.mozilla.com/v0',
  feedbackApiUrl: 'https://input.mozilla.org/api/v1/feedback',
  feedbackProductName: 'Loop',
  downloadFirefoxUrl: 'https://www.mozilla.org/firefox/new/?scene=2&utm_source=hello.firefox.com&utm_medium=referral&utm_campaign=non-webrtc-browser\#download-fx',
  privacyWebsiteUrl: 'https://www.mozilla.org/privacy/firefox-hello/',
  legalWebsiteUrl: 'https://www.mozilla.org/about/legal/terms/firefox-hello/',
  marketplaceUrl: 'https://marketplace.firefox.com/iframe-install.html',
  learnMoreUrl: 'https://www.mozilla.org/hello/',
  roomsSupportUrl: 'https://support.mozilla.org/kb/group-conversations-firefox-hello-webrtc',
  guestSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  generalSupportUrl: 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode',
  unsupportedPlatformUrl: 'https://support.mozilla.org/kb/which-browsers-will-work-firefox-hello-video-chat',
  tilesIframeUrl: 'https://tiles.cdn.mozilla.net/iframe.html',
  tilesSupportUrl: 'https://support.mozilla.org/kb/tiles-firefox-hello',
  fxosApp: {
    name: 'Firefox Hello',
    manifestUrl: 'https://marketplace.firefox.com/app/54b83aea-1208-4605-82eb-22819f39d81d/manifest.webapp',
    rooms: false
  }
};

Response time: 0.45994


https://loop.services.mozilla.com:
{
    "endpoint": "https://loop.services.mozilla.com", 
    "name": "mozilla-loop-server", 
    "fakeTokBox": false, 
    "fxaOAuth": true, 
    "version": "0.18.1", 
    "i18n": {
        "defaultLang": "en-US"
    }, 
    "homepage": "https://github.com/mozilla-services/loop-server/", 
    "description": "The Mozilla Loop (WebRTC App) server"
}
Response time: 0.449863


https://loop.services.mozilla.com/push-server-config:
{
    "pushServerURI": "wss://push.services.mozilla.com"
}
Response time: 0.340727
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(bobm)
Resolution: --- → FIXED
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.